from collections import namedtuple

PrivateDataElementGroup = namedtuple("PrivateDataElement", ["group_name", "element_tag"])

MEH_PRIVATE_EYE_GROUP_NAME_PREFIX = "MEH_PRIVATE_EYE_"

HEIDELBERG_PRIVATE_DATA_GROUP = PrivateDataElementGroup(f"{MEH_PRIVATE_EYE_GROUP_NAME_PREFIX}HEIDELBERG", 0xB6C9)
TOPCON_PRIVATE_DATA_GROUP = PrivateDataElementGroup(f"{MEH_PRIVATE_EYE_GROUP_NAME_PREFIX}TOPCON", 0xD1AF)

# Private Data Element Numbers

# Heidelberg transform elements
HEIDELBERG_AFFINE_TRANSFORM = 0x01
HEIDELBERG_INTENSITY_MULTIPLIER = 0x02
HEIDELBERG_INTENSITY_EXPONENT = 0x03
HEIDELBERG_AFFINE_TRANSFORM_APPLIED = 0x04
HEIDELBERG_INTENSITY_SCALING_APPLIED = 0x05

# Topcon transform elements
TOPCON_LOWER = 0x01
TOPCON_HIGHER = 0x02
TOPCON_SCALING_APPLIED = 0x03
